summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-11-18 09:38:27 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-11-18 09:38:27 +0000
commit536c3711867ec947c1738f2c4b96f22e4863322d (patch)
tree697733f5cb713908dcf378e13fd15a798a906a91 /eclass
parentf65628136faa35d0c4d3b5e7332275c7b35fcd96 (diff)
gentoo resync : 18.11.2018
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37603 -> 37598 bytes
-rw-r--r--eclass/darcs.eclass9
-rw-r--r--eclass/dotnet.eclass2
-rw-r--r--eclass/fortran-2.eclass33
-rw-r--r--eclass/ghc-package.eclass32
-rw-r--r--eclass/haskell-cabal.eclass14
-rw-r--r--eclass/java-ant-2.eclass6
-rw-r--r--eclass/java-utils-2.eclass12
-rw-r--r--eclass/kde5-functions.eclass5
-rw-r--r--eclass/sgml-catalog.eclass5
10 files changed, 64 insertions, 54 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 73698a0e0ac0..80dff8b35111 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/darcs.eclass b/eclass/darcs.eclass
index cac00cc01f27..489008a87f1e 100644
--- a/eclass/darcs.eclass
+++ b/eclass/darcs.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: darcs.eclass
@@ -21,7 +21,12 @@
# support for tags
-inherit eutils # eshopts_{push,pop}
+# eshopts_{push,pop}
+case "${EAPI:-0}" in
+ 4|5|6) inherit eutils ;;
+ 7) inherit estack ;;
+ *) ;;
+esac
# Don't download anything other than the darcs repository
SRC_URI=""
diff --git a/eclass/dotnet.eclass b/eclass/dotnet.eclass
index 9d02e540de3e..3e834835b971 100644
--- a/eclass/dotnet.eclass
+++ b/eclass/dotnet.eclass
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: dotnet.eclass
-# @MAINTAINER: cynede@gentoo.org
+# @MAINTAINER: dotnet@gentoo.org
# @SUPPORTED_EAPIS: 1 2 3 4 5 6 7
# @BLURB: common settings and functions for mono and dotnet related packages
# @DESCRIPTION:
diff --git a/eclass/fortran-2.eclass b/eclass/fortran-2.eclass
index 820cbbcb49bd..b871d16e3e05 100644
--- a/eclass/fortran-2.eclass
+++ b/eclass/fortran-2.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: fortran-2.eclass
@@ -8,7 +8,7 @@
# @AUTHOR:
# Author Justin Lecher <jlec@gentoo.org>
# Test functions provided by Sebastien Fabbro and Kacper Kowalik
-# @SUPPORTED_EAPIS: 4 5 6
+# @SUPPORTED_EAPIS: 4 5 6 7
# @BLURB: Simplify fortran compiler management
# @DESCRIPTION:
# If you need a fortran compiler, then you should be inheriting this eclass.
@@ -27,13 +27,16 @@
#
# FORTRAN_NEED_OPENMP=1
-inherit eutils toolchain-funcs
-
+inherit toolchain-funcs
case ${EAPI:-0} in
- 4|5|6) EXPORT_FUNCTIONS pkg_setup ;;
+ # not used in the eclass, but left for backward compatibility with legacy users
+ 4|5|6) inherit eutils ;;
+ 7) ;;
*) die "EAPI=${EAPI} is not supported" ;;
esac
+EXPORT_FUNCTIONS pkg_setup
+
if [[ ! ${_FORTRAN_2_CLASS} ]]; then
# @ECLASS-VARIABLE: FORTRAN_NEED_OPENMP
@@ -92,7 +95,7 @@ unset _f_use
fortran_int64_abi_fflags() {
debug-print-function ${FUNCNAME} "${@}"
- _FC=$(tc-getFC)
+ local _FC=$(tc-getFC)
if [[ ${_FC} == *gfortran* ]]; then
echo "-fdefault-integer-8"
elif [[ ${_FC} == ifort ]]; then
@@ -112,17 +115,17 @@ _fortran_write_testsuite() {
local filebase=${T}/test-fortran
# f77 code
- cat <<- EOF > "${filebase}.f"
+ cat <<- EOF > "${filebase}.f" || die
end
EOF
# f90/95 code
- cat <<- EOF > "${filebase}.f90"
+ cat <<- EOF > "${filebase}.f90" || die
end
EOF
# f2003 code
- cat <<- EOF > "${filebase}.f03"
+ cat <<- EOF > "${filebase}.f03" || die
procedure(), pointer :: p
end
EOF
@@ -170,7 +173,7 @@ _fortran-has-openmp() {
local ret
local _fc=$(tc-getFC)
- cat <<- EOF > "${fcode}"
+ cat <<- EOF > "${fcode}" || die
call omp_get_num_threads
end
EOF
@@ -179,7 +182,7 @@ _fortran-has-openmp() {
${_fc} ${flag} "${fcode}" -o "${fcode}.x" \
&>> "${T}"/_fortran_compile_test.log
ret=$?
- (( ${ret} )) || break
+ [[ ${ret} == 0 ]] && break
done
rm -f "${fcode}.x"
@@ -193,12 +196,12 @@ _fortran-has-openmp() {
_fortran_die_msg() {
debug-print-function ${FUNCNAME} "${@}"
- echo
+ eerror
eerror "Please install currently selected gcc version with USE=fortran."
eerror "If you intend to use a different compiler then gfortran, please"
eerror "set FC variable accordingly and take care that the necessary"
eerror "fortran dialects are supported."
- echo
+ eerror
die "Currently no working fortran compiler is available (see ${T}/_fortran_compile_test.log for information)"
}
@@ -250,7 +253,7 @@ _fortran-2_pkg_setup() {
for _f_use in ${FORTRAN_NEEDED}; do
case ${_f_use} in
always)
- _fortran_test_function && break
+ _fortran_test_function && break 2
;;
no)
einfo "Forcing fortran support off"
@@ -258,7 +261,7 @@ _fortran-2_pkg_setup() {
;;
*)
if use ${_f_use}; then
- _fortran_test_function && break
+ _fortran_test_function && break 2
else
unset FC
unset F77
diff --git a/eclass/ghc-package.eclass b/eclass/ghc-package.eclass
index bd08b01d04ca..27fafff5a21b 100644
--- a/eclass/ghc-package.eclass
+++ b/eclass/ghc-package.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: ghc-package.eclass
@@ -10,7 +10,13 @@
# @DESCRIPTION:
# Helper eclass to handle ghc installation/upgrade/deinstallation process.
-inherit multiprocessing versionator
+inherit multiprocessing
+
+# Maintain version-testing compatibility with ebuilds not using EAPI 7.
+case "${EAPI:-0}" in
+ 4|5|6) inherit eapi7-ver ;;
+ *) ;;
+esac
# @FUNCTION: ghc-getghc
# @DESCRIPTION:
@@ -35,7 +41,7 @@ ghc-getghcpkg() {
# because for some reason the global package file
# must be specified
ghc-getghcpkgbin() {
- if version_is_at_least "7.9.20141222" "$(ghc-version)"; then
+ if ver_test "$(ghc-version)" -ge "7.9.20141222"; then
# ghc-7.10 stopped supporting single-file database
local empty_db="${T}/empty.conf.d" ghc_pkg="$(ghc-libdir)/bin/ghc-pkg"
if [[ ! -d ${empty_db} ]]; then
@@ -43,7 +49,7 @@ ghc-getghcpkgbin() {
fi
echo "$(ghc-libdir)/bin/ghc-pkg" "--global-package-db=${empty_db}"
- elif version_is_at_least "7.7.20121101" "$(ghc-version)"; then
+ elif ver_test "$(ghc-version)" -ge "7.7.20121101"; then
# the ghc-pkg executable changed name in ghc 6.10, as it no longer needs
# the wrapper script with the static flags
# was moved to bin/ subtree by:
@@ -51,7 +57,7 @@ ghc-getghcpkgbin() {
echo '[]' > "${T}/empty.conf"
echo "$(ghc-libdir)/bin/ghc-pkg" "--global-package-db=${T}/empty.conf"
- elif version_is_at_least "7.5.20120516" "$(ghc-version)"; then
+ elif ver_test "$(ghc-version)" -ge "7.5.20120516"; then
echo '[]' > "${T}/empty.conf"
echo "$(ghc-libdir)/ghc-pkg" "--global-package-db=${T}/empty.conf"
@@ -94,7 +100,7 @@ ghc-pm-version() {
# @DESCRIPTION:
# return version of the Cabal library bundled with ghc
ghc-cabal-version() {
- if version_is_at_least "7.9.20141222" "$(ghc-version)"; then
+ if ver_test "$(ghc-version)" -ge "7.9.20141222"; then
# outputs in format: 'version: 1.18.1.5'
set -- `$(ghc-getghcpkg) --package-db=$(ghc-libdir)/package.conf.d.initial field Cabal version`
echo "$2"
@@ -256,13 +262,14 @@ check-for-collisions() {
# moves the local (package-specific) package configuration
# file to its final destination
ghc-install-pkg() {
- local pkg_config_file=$1
local localpkgconf="${T}/$(ghc-localpkgconfd)"
local pkg_path pkg pkg_db="${D}/$(ghc-package-db)" hint_db="${D}/$(ghc-confdir)"
$(ghc-getghcpkgbin) init "${localpkgconf}" || die "Failed to initialize empty local db"
- $(ghc-getghcpkgbin) -f "${localpkgconf}" update - --force \
- < "${pkg_config_file}" || die "failed to register ${pkg}"
+ for pkg_config_file in "$@"; do
+ $(ghc-getghcpkgbin) -f "${localpkgconf}" update - --force \
+ < "${pkg_config_file}" || die "failed to register ${pkg}"
+ done
check-for-collisions "${localpkgconf}"
@@ -273,8 +280,11 @@ ghc-install-pkg() {
done
mkdir -p "${hint_db}" || die
- cp "${pkg_config_file}" "${hint_db}/${PF}.conf" || die
- chmod 0644 "${hint_db}/${PF}.conf" || die
+ for pkg_config_file in "$@"; do
+ local pkg_name="gentoo-${CATEGORY}-${PF}-"$(basename "${pkg_config_file}")
+ cp "${pkg_config_file}" "${hint_db}/${pkg_name}" || die
+ chmod 0644 "${hint_db}/${pkg_name}" || die
+ done
}
# @FUNCTION: ghc-recache-db
diff --git a/eclass/haskell-cabal.eclass b/eclass/haskell-cabal.eclass
index 473eb6dcbb30..edfdfae5cda3 100644
--- a/eclass/haskell-cabal.eclass
+++ b/eclass/haskell-cabal.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: haskell-cabal.eclass
@@ -74,7 +74,7 @@ HASKELL_CABAL_EXPF="pkg_setup src_compile src_test src_install pkg_postinst pkg_
QA_CONFIGURE_OPTIONS+=" --with-compiler --with-hc --with-hc-pkg --with-gcc"
case "${EAPI:-0}" in
- 2|3|4|5|6) HASKELL_CABAL_EXPF+=" src_configure" ;;
+ 2|3|4|5|6|7) HASKELL_CABAL_EXPF+=" src_configure" ;;
*) ;;
esac
@@ -365,7 +365,7 @@ cabal-configure() {
if $(ghc-supports-shared-libraries); then
# Experimental support for dynamically linked binaries.
# We are enabling it since 7.10.1_rc3
- if version_is_at_least "7.10.0.20150316" "$(ghc-version)"; then
+ if ver_test "$(ghc-version)" -ge "7.10.0.20150316"; then
# we didn't enable it before as it was not stable on all arches
cabalconf+=(--enable-shared)
# Known to break on ghc-7.8/Cabal-1.18
@@ -428,7 +428,11 @@ cabal-pkg() {
if [[ -n ${CABAL_HAS_LIBRARIES} ]]; then
# Newer cabal can generate a package conf for us:
./setup register --gen-pkg-config="${T}/${P}.conf"
- ghc-install-pkg "${T}/${P}.conf"
+ if [[ -d "${T}/${P}.conf" ]]; then
+ ghc-install-pkg "${T}/${P}.conf"/*
+ else
+ ghc-install-pkg "${T}/${P}.conf"
+ fi
fi
}
@@ -590,7 +594,7 @@ cabal_src_install() {
# remove EPREFIX
dodir ${ghc_confdir_with_prefix#${EPREFIX}}
local hint_db="${D}/$(ghc-confdir)"
- local hint_file="${hint_db}/${PF}.conf"
+ local hint_file="${hint_db}/gentoo-empty-${CATEGORY}-${PF}.conf"
mkdir -p "${hint_db}" || die
touch "${hint_file}" || die
}
diff --git a/eclass/java-ant-2.eclass b/eclass/java-ant-2.eclass
index 8da5971844a0..1fd4feb39134 100644
--- a/eclass/java-ant-2.eclass
+++ b/eclass/java-ant-2.eclass
@@ -56,12 +56,10 @@ if [[ $? != 0 ]]; then
die "java-pkg_ant-tasks-depend() failed"
fi
-# We need some tools from javatoolkit. We also need portage 2.1 for phase hooks
-# and ant dependencies constructed above. Python is there for
-# java-ant_remove-taskdefs
+# We need some tools from javatoolkit. We also need ant dependencies
+# constructed above.
JAVA_ANT_E_DEPEND="${JAVA_ANT_E_DEPEND}
${ANT_TASKS_DEPEND}
- ${JAVA_PKG_PORTAGE_DEP}
>=dev-java/javatoolkit-0.3.0-r2"
# this eclass must be inherited after java-pkg-2 or java-pkg-opt-2
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index 1ba8bc5c5b5a..473b177e539a 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -1,4 +1,4 @@
-# Copyright 2004-2017 Gentoo Foundation
+# Copyright 2004-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: java-utils-2.eclass
@@ -25,21 +25,13 @@ export WANT_JAVA_CONFIG="2"
# Prefix variables are only available for EAPI>=3
has "${EAPI:-0}" 0 1 2 && ED="${D}" EPREFIX= EROOT="${ROOT}"
-# @VARIABLE: JAVA_PKG_PORTAGE_DEP
-# @INTERNAL
-# @DESCRIPTION:
-# The version of portage we need to function properly. Previously it was
-# portage with phase hooks support but now we use a version with proper env
-# saving. For EAPI 2 we have new enough stuff so let's have cleaner deps.
-has "${EAPI}" 0 1 && JAVA_PKG_PORTAGE_DEP=">=sys-apps/portage-2.1.2.7"
-
# @VARIABLE: JAVA_PKG_E_DEPEND
# @INTERNAL
# @DESCRIPTION:
# This is a convience variable to be used from the other java eclasses. This is
# the version of java-config we want to use. Usually the latest stable version
# so that ebuilds can use new features without depending on specific versions.
-JAVA_PKG_E_DEPEND=">=dev-java/java-config-2.2.0-r3 ${JAVA_PKG_PORTAGE_DEP}"
+JAVA_PKG_E_DEPEND=">=dev-java/java-config-2.2.0-r3"
has source ${JAVA_PKG_IUSE} && JAVA_PKG_E_DEPEND="${JAVA_PKG_E_DEPEND} source? ( app-arch/zip )"
# @ECLASS-VARIABLE: JAVA_PKG_WANT_BOOTCLASSPATH
diff --git a/eclass/kde5-functions.eclass b/eclass/kde5-functions.eclass
index a42d0c240c5a..4ddff029a09b 100644
--- a/eclass/kde5-functions.eclass
+++ b/eclass/kde5-functions.eclass
@@ -37,11 +37,6 @@ case ${CATEGORY} in
[[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
;;
kde-plasma)
- if [[ ${PV} = 5.12* ]]; then
- : ${FRAMEWORKS_MINIMAL:=5.46.0}
- : ${KDE_APPS_MINIMAL:=17.12.3}
- : ${QT_MINIMAL:=5.9.4}
- fi
if [[ ${PV} = 5.13.5 ]]; then
: ${FRAMEWORKS_MINIMAL:=5.46.0}
: ${KDE_APPS_MINIMAL:=17.12.3}
diff --git a/eclass/sgml-catalog.eclass b/eclass/sgml-catalog.eclass
index 7cc51fe3fdf4..5486533c2ea7 100644
--- a/eclass/sgml-catalog.eclass
+++ b/eclass/sgml-catalog.eclass
@@ -8,7 +8,10 @@
# Author Matthew Turk <satai@gentoo.org>
# @BLURB: Functions for installing SGML catalogs
-inherit base
+case ${EAPI:-0} in
+ 0|1|2|3|4|5) inherit base ;;
+ *) ;;
+esac
DEPEND=">=app-text/sgml-common-0.6.3-r2"